Submit the listing of an app for review
Sends the draft revision of an app’s listing to Deel for review. The listing needs its descriptions, logo, links, contacts, test account details, highlights, support resources and at least one category. Follow the review with GET /oauth2-apps/{app_id}/listing. Returns the listing.
Token scopes: apps:write
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-02-17.
Authentication
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
Headers
Opts in to the beta version of this endpoint. Must be true.